Index: /extensions/PayPalShoppingCart/language/de_DE/description.txt
===================================================================
--- /extensions/PayPalShoppingCart/language/de_DE/description.txt	(revision 9256)
+++ /extensions/PayPalShoppingCart/language/de_DE/description.txt	(revision 9256)
@@ -0,0 +1,1 @@
+﻿Fügen Sie einen PayPal Einkaufswagen auf Piwigo hinzu um Fotos zu verkaufen.
Index: /extensions/PayPalShoppingCart/language/de_DE/index.php
===================================================================
--- /extensions/PayPalShoppingCart/language/de_DE/index.php	(revision 9256)
+++ /extensions/PayPalShoppingCart/language/de_DE/index.php	(revision 9256)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PayPalShoppingCart/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/PayPalShoppingCart/language/de_DE/plugin.lang.php	(revision 9256)
+++ /extensions/PayPalShoppingCart/language/de_DE/plugin.lang.php	(revision 9256)
@@ -0,0 +1,38 @@
+<?php
+/*
+  Plugin Panier PayPal Pour Piwigo
+  Copyright (C) 2011 www.queguineur.fr — Tous droits réservés.
+  
+  Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
+  modifier suivant les termes de la “GNU General Public License” telle que
+  publiée par la Free Software Foundation : soit la version 3 de cette
+  licence, soit (à votre gré) toute version ultérieure.
+  
+  Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
+  AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIALISABILITÉ
+  ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. Consultez la Licence Générale
+  Publique GNU pour plus de détails.
+  
+  Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
+  ce programme ; si ce n’est pas le cas, consultez :
+  <http://www.gnu.org/licenses/>.
+*/
+$lang['Action'] = 'Aktion';
+$lang['Add to cart'] = 'In den Einkaufswagen';
+$lang['Append photo size'] = 'Fotoformat anhängen';
+$lang['Append data'] = 'Daten anhängen';
+$lang['Buy this picture'] = 'Dieses Foto kaufen';
+$lang['Currency'] = 'Währung';
+$lang['Data appened'] = 'Daten angehängt';
+$lang['Data deleted'] = 'Daten gelöscht';
+$lang['Data updated'] = 'Daten aktualisiert';
+$lang['Delete data'] = 'Daten löschen';
+$lang['Fixed shipping cost'] = 'Fixe Versandkosten';
+$lang['PayPal Shopping Cart'] = 'PayPal Einkaufswagen';
+$lang['Price'] = 'Preis';
+$lang['Shipping cost'] = 'Versandkosten';
+$lang['Size'] = 'Grösse';
+$lang['Update data'] = 'Daten aktualisieren';
+$lang['View Shopping Cart'] = 'Einkaufswagen ansehen';
+$lang['View my PayPal Shopping Cart'] = 'Mein Paypal Einkaufswagen ansehen';
+?>
Index: /extensions/PayPalShoppingCart/language/it_IT/description.txt
===================================================================
--- /extensions/PayPalShoppingCart/language/it_IT/description.txt	(revision 9256)
+++ /extensions/PayPalShoppingCart/language/it_IT/description.txt	(revision 9256)
@@ -0,0 +1,1 @@
+﻿Aggiungere un carrello PayPal su Piwigo per vendere delle foto.
Index: /extensions/PayPalShoppingCart/language/it_IT/index.php
===================================================================
--- /extensions/PayPalShoppingCart/language/it_IT/index.php	(revision 9256)
+++ /extensions/PayPalShoppingCart/language/it_IT/index.php	(revision 9256)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PayPalShoppingCart/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/PayPalShoppingCart/language/it_IT/plugin.lang.php	(revision 9256)
+++ /extensions/PayPalShoppingCart/language/it_IT/plugin.lang.php	(revision 9256)
@@ -0,0 +1,38 @@
+<?php
+/*
+  Plugin Panier PayPal Pour Piwigo
+  Copyright (C) 2011 www.queguineur.fr — Tous droits réservés.
+  
+  Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
+  modifier suivant les termes de la “GNU General Public License” telle que
+  publiée par la Free Software Foundation : soit la version 3 de cette
+  licence, soit (à votre gré) toute version ultérieure.
+  
+  Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
+  AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIALISABILITÉ
+  ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. Consultez la Licence Générale
+  Publique GNU pour plus de détails.
+  
+  Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
+  ce programme ; si ce n’est pas le cas, consultez :
+  <http://www.gnu.org/licenses/>.
+*/
+$lang['Action'] = 'Azione';
+$lang['Add to cart'] = 'Aggiungere al carrello';
+$lang['Append photo size'] = 'Aggiungere il formato della foto';
+$lang['Append data'] = 'Aggiungere i dati';
+$lang['Buy this picture'] = 'Comprare questa foto';
+$lang['Currency'] = 'Valuta';
+$lang['Data appened'] = 'Dati aggiunti';
+$lang['Data deleted'] = 'Dati cancellati';
+$lang['Data updated'] = 'Dati aggiornati';
+$lang['Delete data'] = 'Eliminare dati';
+$lang['Fixed shipping cost'] = 'Spese di spedizione fisse';
+$lang['PayPal Shopping Cart'] = 'Carrello PayPal';
+$lang['Price'] = 'Prezzo';
+$lang['Shipping cost'] = 'Spese di spedizione';
+$lang['Size'] = 'Formato';
+$lang['Update data'] = 'Aggiornare dati';
+$lang['View Shopping Cart'] = 'Visualizza carrello';
+$lang['View my PayPal Shopping Cart'] = 'Visualizzare il mio carrello Paypal';
+?>