Index: extensions/PHP_Optimisateur/include/functions.php
===================================================================
--- extensions/PHP_Optimisateur/include/functions.php	(revision 9251)
+++ extensions/PHP_Optimisateur/include/functions.php	(revision 9265)
@@ -22,5 +22,6 @@
 	while ($file = readdir($dh)) {
 		if ($file !== '.' && $file !== '..' && is_dir('language/'.$file)) {
-			$languages[] = $file;
+			$name = (file_exists('language/'.$file.'/'.$file.'.txt')) ? file_get_contents('language/'.$file.'/'.$file.'.txt') : $file;
+			$languages[$file] = $name;
 		}
 	}
@@ -29,12 +30,27 @@
 	// recherche du paramètre get ou session, ou langue du navigateur
 	if (isset($_GET['Lang'])) {
-		$_SESSION['Lang'] = $_GET['Lang'];
-	} else if (!isset($_SESSION['Lang']) OR $_SESSION['Lang'] == NULL) {
-		$_SESSION['Lang'] = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'],0,2);
-	}
-	if (!in_array($_SESSION['Lang'], $languages)) {
-		$_SESSION['Lang'] = 'en';
-	}
-
+		$user_lang = $_GET['Lang'];
+	} else if (isset($_SESSION['Lang']) AND $_SESSION['Lang'] != NULL) {
+		$user_lang = $_SESSION['Lang'];
+	} else {
+		$user_lang = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'],0,2);
+	}
+	
+	// si langue navigateur cherche une correspondance dans la tableau
+	if (strlen($user_lang) == 2) {
+		foreach (array_keys($languages) as $lang) {
+			if ($user_lang == substr($lang,0,2)) {
+				$user_lang = $lang;
+				break;
+			}
+		}
+	}
+	
+	// si pas de correspondance OU get faux, langue par défaut
+	if (!in_array($user_lang, array_keys($languages))) {
+		$user_lang = 'en_UK';
+	}
+	
+	$_SESSION['Lang'] = $user_lang;
 	return array('user_lang' => $_SESSION['Lang'], 'languages' => $languages);
 }
@@ -244,5 +260,5 @@
 		include('plugins/'.$plugin_id.'/lang/'.$CONF['user_lang'].'.php');
 	} else {
-		include('plugins/'.$plugin_id.'/lang/en.php');
+		include('plugins/'.$plugin_id.'/lang/en_UK.php');
 	}
 }
Index: extensions/PHP_Optimisateur/include/header.php
===================================================================
--- extensions/PHP_Optimisateur/include/header.php	(revision 9251)
+++ extensions/PHP_Optimisateur/include/header.php	(revision 9265)
@@ -34,6 +34,6 @@
 	
 	<span class="lang">';
-	foreach ($CONF['languages'] as $key) {
-		echo '<a class="lang" href="index.php?Lang='.$key.'" title="'.$key.'"><img src="language/'.$key.'/'.$key.'.png" alt="'.$key.'"/></a>';
+	foreach ($CONF['languages'] as $key => $name) {
+		echo '<a class="lang" href="index.php?Lang='.$key.'" title="'.$name.'"><img src="language/'.$key.'/'.$key.'.png" alt="'.$name.'"/></a>';
 	}
 	echo '</span>
Index: extensions/PHP_Optimisateur/language/en_UK/en_UK.php
===================================================================
--- extensions/PHP_Optimisateur/language/en_UK/en_UK.php	(revision 9265)
+++ extensions/PHP_Optimisateur/language/en_UK/en_UK.php	(revision 9265)
@@ -0,0 +1,63 @@
+<?php
+$Lang['fatal.ErrorConfigFile'] = "Fatal error : Configuration file missing.";
+$Lang['fatal.ErrorFolderIn'] = "Fatal error : Input folder empty.";
+$Lang['fatal.ErrorFolderOut'] = "Fatal error : Output folder not empty.";
+$Lang['fatal.ErrorNconvert'] = "Fatal error : The program <i>nconvert.exe</i> is not found.";
+$Lang['fatal.ErrorConfig'] = "Fatal error : Configuration incorrect.";
+$Lang['notice.EraseFolderOut'] = "Warning : The output folder will be completely emptied.";
+$Lang['notice.ErrorConfig'] = "Some configuration errors have been fixed, please check your parameters.";
+$Lang['Source files'] = "Handled files";
+$Lang['%d files'] = "%d files";
+$Lang['Finish %d seconds'] = "Process done : %d seconds.";
+$Lang['Ready'] = "Ready to launch.";
+$Lang['Processing'] = "Processing.";
+$Lang['Launch'] = "Launch";
+$Lang['Config'] = "Configure";
+$Lang['Back'] = "Back";
+$Lang['Configuration'] = "Configuration";
+$Lang['Folders'] = "Folders";
+$Lang['FolderIn'] = "Input folder";
+$Lang['FolderOut'] = "Output folder";
+$Lang['Options'] = "Options";
+$Lang['silentORNOT'] = "If output folder not empty";
+$Lang['DIRhighORNOT'] = "Create high-definition folders";
+$Lang['DIMhdORNOT'] = "Resize HD pictures";
+$Lang['renameORNOT'] = "Rename files and folders";
+$Lang['indexORNOT'] = "Add index.php files";
+$Lang['prefixe_mini'] = "Thumbnail prefix";
+$Lang['Sizes and quality'] = "Sizes and quality";
+$Lang['DIMhd'] = "HD pictures max size";
+$Lang['DIMnormal'] = "Normal pictures max size";
+$Lang['DIMthumbnail'] = "Thumbnails size";
+$Lang['Qhd'] = "HD pictures quality";
+$Lang['Qnormal'] = "Normal pictures quality";
+$Lang['Qthumbnail'] = "Thumbails quality";
+$Lang['DPI'] = "HD pictures resolution";
+$Lang['Copyright'] = "Copyright";
+$Lang['Content'] = "Content";
+$Lang['copyONhd'] = "On high-definition";
+$Lang['copyONnormal'] = "On normal";
+$Lang['copyPOS%s'] = "%sPosition";
+$Lang['copyPOSh'] = "Horizontal ";
+$Lang['copyPOSv'] = "Vertical ";
+$Lang['copySIZE'] = "Size (ratio image/text)";
+$Lang['copyCOLOR'] = "Color";
+$Lang['copyFONT'] = "Font";
+$Lang['Plugins'] = "Plugins";
+$Lang['yes'] = "yes";
+$Lang['no'] = "no";
+$Lang['top'] = "top";
+$Lang['center'] = "center";
+$Lang['bottom'] = "bottom";
+$Lang['left'] = "left";
+$Lang['right'] = "right";
+$Lang['erase'] = "Erase";
+$Lang['pass'] = "Continue";
+$Lang['block'] = "Block";
+$Lang['New !'] = "New !";
+$Lang['Missing !'] = "Missing !";
+$Lang['Reset'] = "Reset";
+$Lang['Valid'] = "Validate";
+$Lang['Active'] = "Active";
+$Lang['Inactive'] = "Inactive";
+?>
Index: extensions/PHP_Optimisateur/language/en_UK/en_UK.txt
===================================================================
--- extensions/PHP_Optimisateur/language/en_UK/en_UK.txt	(revision 9265)
+++ extensions/PHP_Optimisateur/language/en_UK/en_UK.txt	(revision 9265)
@@ -0,0 +1,1 @@
+English
Index: extensions/PHP_Optimisateur/language/fr_FR/fr_FR.php
===================================================================
--- extensions/PHP_Optimisateur/language/fr_FR/fr_FR.php	(revision 9265)
+++ extensions/PHP_Optimisateur/language/fr_FR/fr_FR.php	(revision 9265)
@@ -0,0 +1,63 @@
+<?php
+$Lang['fatal.ErrorConfigFile'] = "Erreur fatale : Fichier de configuration introuvable.";
+$Lang['fatal.ErrorFolderIn'] = "Erreur fatale : Dossier source vide.";
+$Lang['fatal.ErrorFolderOut'] = "Erreur fatale : Dossier de sortie non vide.";
+$Lang['fatal.ErrorNconvert'] = "Erreur fatale : Le programme <i>nconvert.exe</i> est introuvable.";
+$Lang['fatal.ErrorConfig'] = "Erreur fatale : Configuration incorrecte.";
+$Lang['notice.EraseFolderOut'] = "Attention : Le dossier de sortie va être entièrement vidé.";
+$Lang['notice.ErrorConfig'] = "Des erreurs de configuration ont été corrigées, veuillez vérifier les réglages.";
+$Lang['Source files'] = "Fichiers traités";
+$Lang['%d files'] = "%d fichiers";
+$Lang['Finish %d seconds'] = "Opération terminée : %d secondes.";
+$Lang['Ready'] = "Prêt à commencer.";
+$Lang['Processing'] = "En cours de traitement.";
+$Lang['Launch'] = "Exécuter";
+$Lang['Config'] = "Configurer";
+$Lang['Back'] = "Retour";
+$Lang['Configuration'] = "Configuration";
+$Lang['Folders'] = "Répertoires";
+$Lang['FolderIn'] = "Répertoire source";
+$Lang['FolderOut'] = "Répertoire de sortie";
+$Lang['Options'] = "Options";
+$Lang['silentORNOT'] = "Si dossier de sortie non vide";
+$Lang['DIRhighORNOT'] = "Créer le dossier haute définition";
+$Lang['DIMhdORNOT'] = "Redimensionner les images HD";
+$Lang['renameORNOT'] = "Renommer les fichiers";
+$Lang['indexORNOT'] = "Ajouter les fichiers index.php";
+$Lang['prefixe_mini'] = "Préfixe des miniatures";
+$Lang['Sizes and quality'] = "Tailles et qualité";
+$Lang['DIMhd'] = "Taille maximale des images HD";
+$Lang['DIMnormal'] = "Taille des images normales";
+$Lang['DIMthumbnail'] = "Taille des miniatures";
+$Lang['Qhd'] = "Qualité des images HD";
+$Lang['Qnormal'] = "Qualité des images normales";
+$Lang['Qthumbnail'] = "Qualité des miniatures";
+$Lang['DPI'] = "Résolution des images HD";
+$Lang['Copyright'] = "Copyright";
+$Lang['Content'] = "Texte";
+$Lang['copyONhd'] = "Sur les images HD";
+$Lang['copyONnormal'] = "Sur les images normales";
+$Lang['copyPOS%s'] = "Position%s";
+$Lang['copyPOSh'] = " horizontale";
+$Lang['copyPOSv'] = " verticale";
+$Lang['copySIZE'] = "Taille (ratio image/texte)";
+$Lang['copyCOLOR'] = "Couleur";
+$Lang['copyFONT'] = "Police";
+$Lang['Plugins'] = "Plugins";
+$Lang['yes'] = "oui";
+$Lang['no'] = "non";
+$Lang['top'] = "haut";
+$Lang['center'] = "milieu";
+$Lang['bottom'] = "bas";
+$Lang['left'] = "gauche";
+$Lang['right'] = "droite";
+$Lang['erase'] = "Effacer";
+$Lang['pass'] = "Continuer";
+$Lang['block'] = "Bloquer";
+$Lang['New !'] = "Nouveau !";
+$Lang['Missing !'] = "Manquant !";
+$Lang['Reset'] = "Réinitialiser";
+$Lang['Valid'] = "Valider";
+$Lang['Active'] = "Activé";
+$Lang['Inactive'] = "Désactivé";
+?>
Index: extensions/PHP_Optimisateur/language/fr_FR/fr_FR.txt
===================================================================
--- extensions/PHP_Optimisateur/language/fr_FR/fr_FR.txt	(revision 9265)
+++ extensions/PHP_Optimisateur/language/fr_FR/fr_FR.txt	(revision 9265)
@@ -0,0 +1,1 @@
+Français
Index: extensions/PHP_Optimisateur/language/lv_LV/lv_LV.php
===================================================================
--- extensions/PHP_Optimisateur/language/lv_LV/lv_LV.php	(revision 9265)
+++ extensions/PHP_Optimisateur/language/lv_LV/lv_LV.php	(revision 9265)
@@ -0,0 +1,63 @@
+<?php
+$Lang['fatal.ErrorConfigFile'] = "Fatāla kļūda : Trūkst konfigurācijas fails.";
+$Lang['fatal.ErrorFolderIn'] = "Fatāla kļūda : Tukša ievades mape.";
+$Lang['fatal.ErrorFolderOut'] = "Fatāla kļūda : Nav tukša izvades mape.";
+$Lang['fatal.ErrorNconvert'] = "Fatāla kļūda : Nav atrasta programma nconvert.exe.";
+$Lang['fatal.ErrorConfig'] = "Fatāla kļūda : Nekorekta konfigurācija.";
+$Lang['notice.EraseFolderOut'] = "Brīdinājums : Izvades mape tiks pilnībā iztukšota.";
+$Lang['notice.ErrorConfig'] = "Fiksētas dažas konfigurācija kļūdas, lūdzu pārbaudiet parametrus.";
+$Lang['Source files'] = "Apstrādātie faili";
+$Lang['%d files'] = "%d faili";
+$Lang['Finish %d seconds'] = "Process paveikts : %d sekundes.";
+$Lang['Ready'] = "Gatavs sākt.";
+$Lang['Processing'] = "Apstrāde.";
+$Lang['Launch'] = "Sākt";
+$Lang['Config'] = "Konfigurēt";
+$Lang['Back'] = "Atpakaļ";
+$Lang['Configuration'] = "Konfigurācija";
+$Lang['Folders'] = "Mapes";
+$Lang['FolderIn'] = "Ievades mape";
+$Lang['FolderOut'] = "Izvades mape";
+$Lang['Options'] = "Opcijas";
+$Lang['silentORNOT'] = "Ja izvades mape nav tukša";
+$Lang['DIRhighORNOT'] = "Izveidot augstas izšķirtspējas (HD) mapes";
+$Lang['DIMhdORNOT'] = "Izmainīt HD attēlu izmērus";
+$Lang['renameORNOT'] = "Pārdēvēt failus un mapes";
+$Lang['indexORNOT'] = "Pievienot index.php failus";
+$Lang['prefixe_mini'] = "Sīkbilžu prefiksi";
+$Lang['Sizes and quality'] = "Izmēri un kvalitāte";
+$Lang['DIMhd'] = "HD attēla maksimālais izmērs";
+$Lang['DIMnormal'] = "Normāla attēla maksimālais izmērs";
+$Lang['DIMthumbnail'] = "Sīkbildes izmērs";
+$Lang['Qhd'] = "HD attēla kvalitāte";
+$Lang['Qnormal'] = "Normāla attēla kvalitāte";
+$Lang['Qthumbnail'] = "Sīkbildes kvalitāte";
+$Lang['DPI'] = "HD attēla izšķirtspēja";
+$Lang['Copyright'] = "Autortiesības";
+$Lang['Content'] = "Saturs";
+$Lang['copyONhd'] = "Augstā izšķirtspējā";
+$Lang['copyONnormal'] = "Normālā izšķirtspējā";
+$Lang['copyPOS%s'] = "%sPozīcija";
+$Lang['copyPOSh'] = "Horizontāli ";
+$Lang['copyPOSv'] = "Vertikāli ";
+$Lang['copySIZE'] = "Izmērs (attēls/teksts attiecība)";
+$Lang['copyCOLOR'] = "Krāsa";
+$Lang['copyFONT'] = "Fonts";
+$Lang['Plugins'] = "Spraudnis";
+$Lang['yes'] = "jā";
+$Lang['no'] = "nē";
+$Lang['top'] = "augšā";
+$Lang['center'] = "vidū";
+$Lang['bottom'] = "apakšā";
+$Lang['left'] = "pa kreisi";
+$Lang['right'] = "pa labi";
+$Lang['erase'] = "Dzēst";
+$Lang['pass'] = "Turpināt";
+$Lang['block'] = "Bloķēt";
+$Lang['New !'] = "Jauns !";
+$Lang['Missing !'] = "Trūkst !";
+$Lang['Reset'] = "Atjaunot";
+$Lang['Valid'] = "Validēt";
+$Lang['Active'] = "Aktīvs";
+$Lang['Inactive'] = "Neaktīvs";
+?>
Index: extensions/PHP_Optimisateur/language/lv_LV/lv_LV.txt
===================================================================
--- extensions/PHP_Optimisateur/language/lv_LV/lv_LV.txt	(revision 9265)
+++ extensions/PHP_Optimisateur/language/lv_LV/lv_LV.txt	(revision 9265)
@@ -0,0 +1,1 @@
+Letton
Index: extensions/PHP_Optimisateur/plugins/convert_pan/lang/en.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/convert_pan/lang/en.php	(revision 9251)
+++ 	(revision )
@@ -1,6 +1,0 @@
-<?php
-$Lang['convert_pan.unactive'] = "&nbsp;&nbsp;'0' to unactive";
-$Lang['convert_pan.DIMpanorama'] = "Panorama height";
-$Lang['convert_pan.NAMEpanorama'] = "Distinctive suffix";
-$Lang['convert_pan.RatioPanThumb'] = "Thumbnails ratio";
-?>
Index: extensions/PHP_Optimisateur/plugins/convert_pan/lang/en_UK.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/convert_pan/lang/en_UK.php	(revision 9265)
+++ extensions/PHP_Optimisateur/plugins/convert_pan/lang/en_UK.php	(revision 9265)
@@ -0,0 +1,6 @@
+<?php
+$Lang['convert_pan.unactive'] = "&nbsp;&nbsp;'0' to unactive";
+$Lang['convert_pan.DIMpanorama'] = "Panorama height";
+$Lang['convert_pan.NAMEpanorama'] = "Distinctive suffix";
+$Lang['convert_pan.RatioPanThumb'] = "Thumbnails ratio";
+?>
Index: extensions/PHP_Optimisateur/plugins/convert_pan/lang/fr.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/convert_pan/lang/fr.php	(revision 9251)
+++ 	(revision )
@@ -1,6 +1,0 @@
-<?php
-$Lang['convert_pan.unactive'] = "&nbsp;&nbsp;'0' pour désactiver";
-$Lang['convert_pan.DIMpanorama'] = "Hauteur du panorama";
-$Lang['convert_pan.NAMEpanorama'] = "Suffixe distinctif";
-$Lang['convert_pan.RatioPanThumb'] = "Ratio des miniatures";
-?>
Index: extensions/PHP_Optimisateur/plugins/convert_pan/lang/fr_FR.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/convert_pan/lang/fr_FR.php	(revision 9265)
+++ extensions/PHP_Optimisateur/plugins/convert_pan/lang/fr_FR.php	(revision 9265)
@@ -0,0 +1,6 @@
+<?php
+$Lang['convert_pan.unactive'] = "&nbsp;&nbsp;'0' pour désactiver";
+$Lang['convert_pan.DIMpanorama'] = "Hauteur du panorama";
+$Lang['convert_pan.NAMEpanorama'] = "Suffixe distinctif";
+$Lang['convert_pan.RatioPanThumb'] = "Ratio des miniatures";
+?>
Index: extensions/PHP_Optimisateur/plugins/create_custom_thumbs/lang/en.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/create_custom_thumbs/lang/en.php	(revision 9251)
+++ 	(revision )
@@ -1,5 +1,0 @@
-<?php
-$Lang['create_custom_thumbs.unactive'] = "&nbsp;&nbsp;'0' to unactive";
-$Lang['create_custom_thumbs.DIMthumbnailV'] = "Thumbnails height";
-$Lang['create_custom_thumbs.FRAMEparams'] = "Border";
-?>
Index: extensions/PHP_Optimisateur/plugins/create_custom_thumbs/lang/en_UK.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/create_custom_thumbs/lang/en_UK.php	(revision 9265)
+++ extensions/PHP_Optimisateur/plugins/create_custom_thumbs/lang/en_UK.php	(revision 9265)
@@ -0,0 +1,5 @@
+<?php
+$Lang['create_custom_thumbs.unactive'] = "&nbsp;&nbsp;'0' to unactive";
+$Lang['create_custom_thumbs.DIMthumbnailV'] = "Thumbnails height";
+$Lang['create_custom_thumbs.FRAMEparams'] = "Border";
+?>
Index: extensions/PHP_Optimisateur/plugins/create_custom_thumbs/lang/fr.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/create_custom_thumbs/lang/fr.php	(revision 9251)
+++ 	(revision )
@@ -1,5 +1,0 @@
-<?php
-$Lang['create_custom_thumbs.unactive'] = "&nbsp;&nbsp;'0' pour désactiver";
-$Lang['create_custom_thumbs.DIMthumbnailV'] = "Hauteur des miniatures";
-$Lang['create_custom_thumbs.FRAMEparams'] = "Bordure";
-?>
Index: extensions/PHP_Optimisateur/plugins/create_custom_thumbs/lang/fr_FR.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/create_custom_thumbs/lang/fr_FR.php	(revision 9265)
+++ extensions/PHP_Optimisateur/plugins/create_custom_thumbs/lang/fr_FR.php	(revision 9265)
@@ -0,0 +1,5 @@
+<?php
+$Lang['create_custom_thumbs.unactive'] = "&nbsp;&nbsp;'0' pour désactiver";
+$Lang['create_custom_thumbs.DIMthumbnailV'] = "Hauteur des miniatures";
+$Lang['create_custom_thumbs.FRAMEparams'] = "Bordure";
+?>
Index: extensions/PHP_Optimisateur/plugins/front2back_support/lang/en.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/front2back_support/lang/en.php	(revision 9251)
+++ 	(revision )
@@ -1,4 +1,0 @@
-<?php
-$Lang['front2back_support.NAMEverso'] = "Distinctive suffix";
-$Lang['front2back_support.MOVEverso'] = "Move input file";
-?>
Index: extensions/PHP_Optimisateur/plugins/front2back_support/lang/en_UK.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/front2back_support/lang/en_UK.php	(revision 9265)
+++ extensions/PHP_Optimisateur/plugins/front2back_support/lang/en_UK.php	(revision 9265)
@@ -0,0 +1,4 @@
+<?php
+$Lang['front2back_support.NAMEverso'] = "Distinctive suffix";
+$Lang['front2back_support.MOVEverso'] = "Move input file";
+?>
Index: extensions/PHP_Optimisateur/plugins/front2back_support/lang/fr.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/front2back_support/lang/fr.php	(revision 9251)
+++ 	(revision )
@@ -1,4 +1,0 @@
-<?php
-$Lang['front2back_support.NAMEverso'] = "Suffixe distinctif";
-$Lang['front2back_support.MOVEverso'] = "Déplacer le fichier source";
-?>
Index: extensions/PHP_Optimisateur/plugins/front2back_support/lang/fr_FR.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/front2back_support/lang/fr_FR.php	(revision 9265)
+++ extensions/PHP_Optimisateur/plugins/front2back_support/lang/fr_FR.php	(revision 9265)
@@ -0,0 +1,4 @@
+<?php
+$Lang['front2back_support.NAMEverso'] = "Suffixe distinctif";
+$Lang['front2back_support.MOVEverso'] = "Déplacer le fichier source";
+?>
Index: extensions/PHP_Optimisateur/plugins/watermark/lang/en.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/watermark/lang/en.php	(revision 9251)
+++ 	(revision )
@@ -1,4 +1,0 @@
-<?php
-$Lang['watermark.waterFILE'] = "File";
-$Lang['watermark.waterALPHA'] = "Opacity";
-?>
Index: extensions/PHP_Optimisateur/plugins/watermark/lang/en_UK.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/watermark/lang/en_UK.php	(revision 9265)
+++ extensions/PHP_Optimisateur/plugins/watermark/lang/en_UK.php	(revision 9265)
@@ -0,0 +1,4 @@
+<?php
+$Lang['watermark.waterFILE'] = "File";
+$Lang['watermark.waterALPHA'] = "Opacity";
+?>
Index: extensions/PHP_Optimisateur/plugins/watermark/lang/fr.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/watermark/lang/fr.php	(revision 9251)
+++ 	(revision )
@@ -1,4 +1,0 @@
-<?php
-$Lang['watermark.waterFILE'] = "Fichier";
-$Lang['watermark.waterALPHA'] = "Opacité";
-?>
Index: extensions/PHP_Optimisateur/plugins/watermark/lang/fr_FR.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/watermark/lang/fr_FR.php	(revision 9265)
+++ extensions/PHP_Optimisateur/plugins/watermark/lang/fr_FR.php	(revision 9265)
@@ -0,0 +1,4 @@
+<?php
+$Lang['watermark.waterFILE'] = "Fichier";
+$Lang['watermark.waterALPHA'] = "Opacité";
+?>