Index: extensions/NBC_UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php	(revision 9178)
+++ extensions/NBC_UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php	(revision 9267)
@@ -111,6 +111,4 @@
 $lang['UAM_Title4'] = 'Lietošanas piemēri un ieteikumi';
 $lang['UAM_No_Casse'] = 'Lietotājvārdi: Reģistrjutība';
-$lang['UAM_No_Casse_true'] = ' Iespējot';
-$lang['UAM_No_Casse_false'] = ' Atspējot (pēc noklusēšanas)';
 $lang['UAM_Username_Char'] = 'Lietotājvārdi: Rakstzīmju izslēgšana';
 $lang['UAM_Username_Char_true'] = ' Aizliegtās rakstzīmes:<br>(Lietot komatu, atdalot rakstzīmes)<br><br>';
@@ -118,20 +116,13 @@
 $lang['UAM_Password_Enforced'] = 'Paroļu drošības līmeņa stiprināšana';
 $lang['UAM_Password_Enforced_true'] = ' Iespējot. Minimālais līmenis: ';
-$lang['UAM_Password_Enforced_false'] = ' Atspējot (pēc noklusējuma)';
 $lang['UAM_AdminPassword_Enforced'] = 'Attiecas uz administratoriem';
-$lang['UAM_AdminPassword_Enforced_true'] = ' Iespējot';
-$lang['UAM_AdminPassword_Enforced_false'] = ' Atspējot (pēc noklusēšanas)';
 $lang['UAM_PasswordTest'] = 'Paroles tests: ';
 $lang['UAM_ScoreTest'] = 'Rezultāts: ';
 $lang['UAM_MailExclusion'] = 'E-pasta domēnu izslēgšana';
 $lang['UAM_MailExclusion_true'] = ' Izslēgt sekojošus domēnus:<br>(Lietojiet komatu, lai atdalītu domēnus)';
-$lang['UAM_MailExclusion_false'] = ' Atspējot (pēc noklusējuma)';
 
 $lang['UAM_Mail_Info'] = 'Informācijas sūtīšana lietotājiem ar e-pastu:';
-$lang['UAM_Mail_Info_true'] = ' Iespējot';
-$lang['UAM_Mail_Info_false'] = ' Atspējot (pēc noklusējuma)';
 $lang['UAM_MailInfo_Text'] = ' Insormācijas e-pasta pielāgošana:';
 $lang['UAM_Confirm_Mail'] = 'Reģistrācijas apstiprināšana:';
-$lang['UAM_Confirm_Mail_false'] = ' Atspējot (pēc noklusēšanas)';
 $lang['UAM_ConfirmMail_Text'] = ' Apstiprinājuma e-pasta pielāgošana:';
 $lang['UAM_Confirm_grpstat_notice'] = 'Brīdinājums: Ieteicams lietot vai nu grupu vai pārbaudes statūtus, bet ne abus vienlaicīgi.';
@@ -144,8 +135,5 @@
 $lang['UAM_ValidationLimit_Info'] = 'Reģistrācijas apstiprināšanas limita robežlīnija';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Iespējot. Dienu skaits līdz termiņa beigām: ';
-$lang['UAM_ConfirmMail_TimeOut_false'] = ' Atspējot (pēc noklusējuma)';
 $lang['UAM_ConfirmMail_Remail'] = 'Atcerēties neakceptētos lietotājus';
-$lang['UAM_ConfirmMail_Remail_true'] = ' Iespējot';
-$lang['UAM_ConfirmMail_Remail_false'] = 'Atspējot (pēc noklusējuma)';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Pielāgot atgādinājuma ziņu<b><u>ņemot vērā</u></b> jaunās reģenerācijas atslēgas pārbaudi.';
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Pielāgot atgādinājuma ziņu <b><u>bez</u></b> reģenerācijas atslēgas pārbaudes.';
@@ -153,12 +141,7 @@
 $lang['UAM_GhostTracker'] = 'Ghost (slēpto) apmeklētāju pārvaldība (Ghost Tracker)';
 $lang['UAM_GhostTracker_true'] = ' Iespējot. Maksimālais periods dienās starp divām vizītēm: ';
-$lang['UAM_GhostTracker_false'] = 'Atspējot (pēc noklusējuma)';
 $lang['UAM_GhostTracker_ReminderText'] = 'Ghost Tracker atgadinājuma ziņojuma pielāgošana';
 $lang['UAM_LastVisit'] = ' Reģistrēto lietotāju izsekošana';
-$lang['UAM_LastVisit_true'] = ' Iespējot';
-$lang['UAM_LastVisit_false'] = ' Atspējot (pēc noklusējuma)';
 $lang['UAM_No_Comment_Anonymous'] = 'Viesu komentāriem iesauka (Nickname) obligāta';
-$lang['UAM_No_Comment_Anonymous_true'] = ' Iespējot';
-$lang['UAM_No_Comment_Anonymous_false'] = ' Atspējot (pēc noklusējuma)';
 
 $lang['UAM_Tips1'] = 'Reģistrēšanās ar e-pasta apstiprināšanu un brīdinājuma ziņojums Piwigo mājas lapā';
@@ -193,6 +176,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Reģistrācijas apstiprināšana administratoriem';
-$lang['UAM_Admin_ConfMail_true'] = ' Iespējot';
-$lang['UAM_Admin_ConfMail_false'] = ' Atspējot (pēc noklusējuma)';
 $lang['UAM_Tips1_txt'] = '
 <ul>
@@ -259,6 +240,4 @@
 $lang['UAM_Confirm_Mail_local'] = ' Iespējot – Apstiprinājis administrators (netika nosūtīta apstiprināšanas atslēga)';
 $lang['UAM_RedirToProfile'] = 'Novirzīt uz "Customization" (pielāgošanas) lapu';
-$lang['UAM_RedirToProfile_false'] = ' Atspējot (pēc noklusējuma)';
-$lang['UAM_RedirToProfile_true'] = ' Iespējot';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -268,11 +247,7 @@
 /* TODO */$lang['UAM_Expired_Status'] = '<b>Status</b> for user\'s registration has expired<br>';
 /* TODO */$lang['UAM_GTAuto'] = 'Automatic management of ghosts users';
-$lang['UAM_GTAuto_false'] = ' Atspējot (pēc noklusējuma)';
-$lang['UAM_GTAuto_true'] = ' Iespējot';
 /* TODO */$lang['UAM_GTAutoDel'] = 'Automatic deletion of accounts';
 /* TODO */$lang['UAM_GTAutoGp'] = 'Automatic change of group / status';
 /* TODO */$lang['UAM_GTAutoMail'] = 'Automatically sending an email when changing group / status';
-/* TODO */$lang['UAM_GTAutoMail_false'] = ' Atspējot (pēc noklusējuma)';
-/* TODO */$lang['UAM_GTAutoMail_true'] = ' Iespējot';
 /* TODO */$lang['UAM_Deleted_Account_Redirection_Page'] = 'Access denied - Account destroyed!';
 /* TODO */$lang['UAM_title_redir_page'] = 'Access denied for having an account destroyed!';
@@ -288,6 +263,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
 /* TODO */$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
-$lang['UAM_CustomPasswRetr_false'] = ' Atspējot (pēc noklusējuma)';
-$lang['UAM_CustomPasswRetr_true'] = ' Iespējot';
+/* TODO */$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
+/* TODO */$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
+/* TODO */$lang['UAM_USRAutoMail'] = 'Automated email reminder';
+$lang['UAM_Disable'] = ' Atspējot (pēc noklusējuma)';
+$lang['UAM_Enable'] = ' Iespējot ';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>