Index: /extensions/AdditionalPages/additional_page.php
===================================================================
--- /extensions/AdditionalPages/additional_page.php	(revision 9269)
+++ /extensions/AdditionalPages/additional_page.php	(revision 9270)
@@ -14,5 +14,5 @@
 
 // Récupération des données de la page
-$query = 'SELECT id, title , content, users, groups, permalink
+$query = 'SELECT id, title , content, users, groups, permalink, standalone
 FROM ' . ADD_PAGES_TABLE . '
 ';
@@ -39,4 +39,5 @@
   'title' => trigger_event('AP_render_content', $row['title']),
   'content' => trigger_event('AP_render_content', $row['content']),
+  'standalone' => ($row['standalone'] == 'true')
 );
 
@@ -64,4 +65,10 @@
   	page_forbidden(l10n('You are not authorized to access the requested page'));
   }
+}
+
+if ($page['additional_page']['standalone'])
+{
+  echo $page['additional_page']['content'];
+  exit;
 }
 
Index: /extensions/AdditionalPages/admin/add_page.inc.php
===================================================================
--- /extensions/AdditionalPages/admin/add_page.inc.php	(revision 9269)
+++ /extensions/AdditionalPages/admin/add_page.inc.php	(revision 9270)
@@ -48,4 +48,5 @@
   $group_access = !empty($_POST['groups']) ? '"'.implode(',', $_POST['groups']).'"' : 'NULL';
   $user_access = !empty($_POST['users']) ? '"'.implode(',', $_POST['users']).'"' : 'NULL';
+  $standalone = isset($_POST['standalone']) ? '"true"' : '"false"';
 
   if (empty($page['errors']))
@@ -60,5 +61,6 @@
   users = '.$user_access.',
   groups = '.$group_access.',
-  permalink = '.$permalink.'
+  permalink = '.$permalink.',
+  standalone = '.$standalone.'
 WHERE id = '.$edited_page['id'] .'
 ;';
@@ -71,6 +73,6 @@
       
       $query = '
-INSERT INTO ' . ADD_PAGES_TABLE . ' ( pos , lang , title , content , users , groups , permalink)
-VALUES ('.($position+1).' , '.$language.' , "'.$_POST['title'].'" , "'.$_POST['ap_content'].'" , '.$user_access.' , '.$group_access.' , '.$permalink.');';
+INSERT INTO ' . ADD_PAGES_TABLE . ' ( pos , lang , title , content , users , groups , permalink, standalone)
+VALUES ('.($position+1).' , '.$language.' , "'.$_POST['title'].'" , "'.$_POST['ap_content'].'" , '.$user_access.' , '.$group_access.' , '.$permalink.' , '.$standalone.');';
       pwg_query($query);
       $edited_page['id'] = mysql_insert_id();
@@ -108,4 +110,5 @@
   $edited_page['users'] = !empty($_POST['users']) ? trim($user_access, '"') :  '';
   $edited_page['homepage'] = isset($_POST['homepage']);
+  $edited_page['standalone'] = isset($_POST['standalone']);
 }
 
@@ -154,4 +157,5 @@
     'PERMALINK' => $edited_page['permalink'],
     'HOMEPAGE' => $edited_page['homepage'],
+    'STANDALONE' => $edited_page['standalone'],
     'CONTENT' => $edited_page['content']));
 }
Index: /extensions/AdditionalPages/admin/admin.php
===================================================================
--- /extensions/AdditionalPages/admin/admin.php	(revision 9269)
+++ /extensions/AdditionalPages/admin/admin.php	(revision 9270)
@@ -35,5 +35,5 @@
 if ($page['tab'] == 'edit_page')
 {
-  $tabsheet->add('edit_page', l10n('ap_edit_page'), $my_base_url.'&amp;tab=edit_page');
+  $tabsheet->add('edit_page', l10n('ap_edit_page'), $my_base_url.'&amp;tab=edit_page&amp;edit='.$_GET['edit']);
 }
 $tabsheet->select($page['tab']);
Index: /extensions/AdditionalPages/admin/edit_page.inc.php
===================================================================
--- /extensions/AdditionalPages/admin/edit_page.inc.php	(revision 9269)
+++ /extensions/AdditionalPages/admin/edit_page.inc.php	(revision 9270)
@@ -21,5 +21,5 @@
 }
 
-$q = 'SELECT id , lang , title , content , users , groups , permalink
+$q = 'SELECT id , lang , title , content , users , groups , permalink, standalone
 FROM ' . ADD_PAGES_TABLE . '
 WHERE id = '.$_GET['edit'].';';
@@ -28,4 +28,5 @@
 $page_title = l10n('ap_modify');
 $edited_page['homepage'] = $conf['additional_pages']['homepage'] == $edited_page['id'];
+$edited_page['standalone'] = ($edited_page['standalone'] == 'true');
 
 // Lien de suppression
Index: /extensions/AdditionalPages/admin/template/add_page.tpl
===================================================================
--- /extensions/AdditionalPages/admin/template/add_page.tpl	(revision 9269)
+++ /extensions/AdditionalPages/admin/template/add_page.tpl	(revision 9270)
@@ -35,7 +35,14 @@
 			</td>
 		</tr>
+    <tr><td>&nbsp;</td></tr>
 		<tr>
 			<td align="right">{'ap_set_as_homepage'|@translate} &nbsp;&nbsp;</td>
-			<td><input type="checkbox" name="homepage" {if isset($HOMEPAGE) and $HOMEPAGE}checked="checked"{/if}"/></td>
+			<td><input type="checkbox" name="homepage" {if isset($HOMEPAGE) and $HOMEPAGE}checked="checked"{/if}"/>
+      &nbsp; <i>{'ap_homepage_tip'|@translate}</i></td>
+		</tr>
+		<tr>
+			<td align="right">{'ap_standalone_page'|@translate} &nbsp;&nbsp;</td>
+			<td><input type="checkbox" name="standalone" {if isset($STANDALONE) and $STANDALONE}checked="checked"{/if}"/>
+      &nbsp; <i>{'ap_standalone_tip'|@translate}</i></td>
 		</tr>
 
Index: /extensions/AdditionalPages/admin/upgrade_from_21.php
===================================================================
--- /extensions/AdditionalPages/admin/upgrade_from_21.php	(revision 9269)
+++ /extensions/AdditionalPages/admin/upgrade_from_21.php	(revision 9270)
@@ -12,5 +12,6 @@
 ADD `users` VARCHAR( 255 ) NULL DEFAULT NULL ,
 ADD `groups` VARCHAR( 255 ) NULL DEFAULT NULL ,
-ADD `permalink` VARCHAR( 64 ) NULL DEFAULT NULL;';
+ADD `permalink` VARCHAR( 64 ) NULL DEFAULT NULL ,
+ADD `standalone` ENUM( "true", "false" ) NOT NULL DEFAULT "false";';
 pwg_query($query);
 
Index: /extensions/AdditionalPages/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/cs_CZ/plugin.lang.php	(revision 9269)
+++ /extensions/AdditionalPages/language/cs_CZ/plugin.lang.php	(revision 9270)
@@ -41,4 +41,7 @@
 /*TODO*/$lang['ap_edit_page'] = 'Edit a page';
 /*TODO*/$lang['ap_set_as_homepage'] = 'Set as Homepage';
+/*TODO*/$lang['ap_standalone_page'] = 'Standalone Page';
+/*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
+/*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
 
 ?>
Index: /extensions/AdditionalPages/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/de_DE/plugin.lang.php	(revision 9269)
+++ /extensions/AdditionalPages/language/de_DE/plugin.lang.php	(revision 9270)
@@ -41,4 +41,7 @@
 /*TODO*/$lang['ap_edit_page'] = 'Edit a page';
 /*TODO*/$lang['ap_set_as_homepage'] = 'Set as Homepage';
+/*TODO*/$lang['ap_standalone_page'] = 'Standalone Page';
+/*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
+/*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
 
 ?>
Index: /extensions/AdditionalPages/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/en_UK/plugin.lang.php	(revision 9269)
+++ /extensions/AdditionalPages/language/en_UK/plugin.lang.php	(revision 9270)
@@ -41,4 +41,7 @@
 $lang['ap_edit_page'] = 'Edit a page';
 $lang['ap_set_as_homepage'] = 'Set as Homepage';
+$lang['ap_standalone_page'] = 'Standalone Page';
+$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
+$lang['ap_standalone_tip'] = 'Page require full HTML structure';
 
 ?>
Index: /extensions/AdditionalPages/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/es_ES/plugin.lang.php	(revision 9269)
+++ /extensions/AdditionalPages/language/es_ES/plugin.lang.php	(revision 9270)
@@ -41,4 +41,7 @@
 /*TODO*/$lang['ap_edit_page'] = 'Edit a page';
 /*TODO*/$lang['ap_set_as_homepage'] = 'Set as Homepage';
+/*TODO*/$lang['ap_standalone_page'] = 'Standalone Page';
+/*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
+/*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
 
 ?>
Index: /extensions/AdditionalPages/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/fr_FR/plugin.lang.php	(revision 9269)
+++ /extensions/AdditionalPages/language/fr_FR/plugin.lang.php	(revision 9270)
@@ -41,4 +41,7 @@
 $lang['ap_edit_page'] = 'Editer une page';
 $lang['ap_set_as_homepage'] = 'Définir comme page d\'accueil';
+$lang['ap_standalone_page'] = 'Page autonome';
+$lang['ap_homepage_tip'] = 'Remplace la page d\'accueil de votre galerie';
+$lang['ap_standalone_tip'] = 'La page requiert une structure HTML complète';
 
 ?>
Index: /extensions/AdditionalPages/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/hu_HU/plugin.lang.php	(revision 9269)
+++ /extensions/AdditionalPages/language/hu_HU/plugin.lang.php	(revision 9270)
@@ -41,4 +41,7 @@
 /*TODO*/$lang['ap_edit_page'] = 'Edit a page';
 /*TODO*/$lang['ap_set_as_homepage'] = 'Set as Homepage';
+/*TODO*/$lang['ap_standalone_page'] = 'Standalone Page';
+/*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
+/*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
 
 ?>
Index: /extensions/AdditionalPages/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/it_IT/plugin.lang.php	(revision 9269)
+++ /extensions/AdditionalPages/language/it_IT/plugin.lang.php	(revision 9270)
@@ -41,4 +41,7 @@
 /*TODO*/$lang['ap_edit_page'] = 'Edit a page';
 /*TODO*/$lang['ap_set_as_homepage'] = 'Set as Homepage';
+/*TODO*/$lang['ap_standalone_page'] = 'Standalone Page';
+/*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
+/*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
 
 ?>
Index: /extensions/AdditionalPages/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/lv_LV/plugin.lang.php	(revision 9269)
+++ /extensions/AdditionalPages/language/lv_LV/plugin.lang.php	(revision 9270)
@@ -41,4 +41,7 @@
 /*TODO*/$lang['ap_edit_page'] = 'Edit a page';
 /*TODO*/$lang['ap_set_as_homepage'] = 'Set as Homepage';
+/*TODO*/$lang['ap_standalone_page'] = 'Standalone Page';
+/*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
+/*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
 
 ?>
Index: /extensions/AdditionalPages/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/pl_PL/plugin.lang.php	(revision 9269)
+++ /extensions/AdditionalPages/language/pl_PL/plugin.lang.php	(revision 9270)
@@ -41,4 +41,7 @@
 /*TODO*/$lang['ap_edit_page'] = 'Edit a page';
 /*TODO*/$lang['ap_set_as_homepage'] = 'Set as Homepage';
+/*TODO*/$lang['ap_standalone_page'] = 'Standalone Page';
+/*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
+/*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
 
 ?>
Index: /extensions/AdditionalPages/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/ru_RU/plugin.lang.php	(revision 9269)
+++ /extensions/AdditionalPages/language/ru_RU/plugin.lang.php	(revision 9270)
@@ -41,4 +41,7 @@
 /*TODO*/$lang['ap_edit_page'] = 'Edit a page';
 /*TODO*/$lang['ap_set_as_homepage'] = 'Set as Homepage';
+/*TODO*/$lang['ap_standalone_page'] = 'Standalone Page';
+/*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
+/*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
 
 ?>
Index: /extensions/AdditionalPages/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/sk_SK/plugin.lang.php	(revision 9269)
+++ /extensions/AdditionalPages/language/sk_SK/plugin.lang.php	(revision 9270)
@@ -41,4 +41,7 @@
 /*TODO*/$lang['ap_edit_page'] = 'Edit a page';
 /*TODO*/$lang['ap_set_as_homepage'] = 'Set as Homepage';
+/*TODO*/$lang['ap_standalone_page'] = 'Standalone Page';
+/*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
+/*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
 
 ?>
Index: /extensions/AdditionalPages/maintain.inc.php
===================================================================
--- /extensions/AdditionalPages/maintain.inc.php	(revision 9269)
+++ /extensions/AdditionalPages/maintain.inc.php	(revision 9270)
@@ -18,4 +18,5 @@
 groups VARCHAR( 255 ) NULL DEFAULT NULL ,
 permalink VARCHAR( 64 ) NULL DEFAULT NULL ,
+standalone ENUM( "true", "false" ) NOT NULL DEFAULT "false"
 PRIMARY KEY (id) ,
 INDEX (pos) ,