Index: extensions/akBookStyle/trunk/admin.php
===================================================================
--- extensions/akBookStyle/trunk/admin.php	(revision 7971)
+++ extensions/akBookStyle/trunk/admin.php	(revision 9271)
@@ -24,4 +24,6 @@
   die('Hacking attempt!');
 }
+
+load_language('plugin.lang', AK_PLUGIN_LANG);
 
 $ThumbnailsLocations = array('top' => 'Top',
Index: extensions/akBookStyle/trunk/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/akBookStyle/trunk/language/cs_CZ/plugin.lang.php	(revision 7971)
+++ extensions/akBookStyle/trunk/language/cs_CZ/plugin.lang.php	(revision 9271)
@@ -23,5 +23,5 @@
 $lang['That plugin give an alternate presentation for galleries. It gives you in a whole page access to medium image and thumbnails.'] = "Tento doplnìk pøidává alternativní prezentaci pro galerie. Dává pøístup na celou stránku pro fotografii a náhledy.";
 $lang['Main configuration'] = "Hlavní konfigurace";
-$lang['Applicable categorie(s)'] = "Kategorie, kde je moné aplikovat";
+$lang['Applicable categorie(s)'] = "Kategorie, kde je možné aplikovat";
 $lang['Applicable category has been updated'] = "Aplikovatelná kategorie byla aktualizována";
 $lang['Applicable categories have been updated'] = "Aplikovatelné kategorie byly aktualizovány";
@@ -32,5 +32,5 @@
 $lang['Thumbnail size'] = "Velikost náhledù";
 $lang['click'] = "klik";
-$lang['mouseover'] = "pøejetí myí";
+$lang['mouseover'] = "pøejetí myší";
 $lang['Event to show medium picture.'] = "Událost pro zobrazení fotografie.";
 $lang['Event to show medium picture has been updated.'] = "Událost pro zobrazení fotografie byla aktualizována.";
@@ -42,6 +42,6 @@
 $lang['Right'] = "Vpravo";
 $lang['or number of lines for Top/Bottom'] = "nebo poèet øádkù pro Nahoøe/Dole";
-$lang['Next image'] = "Dalí fotografie";
-$lang['Next page'] = "Dalí stránka";
+$lang['Next image'] = "Další fotografie";
+$lang['Next page'] = "Další stránka";
 $lang['Previous image'] = "Pøedchozí fotografie";
 $lang['Previous page'] = "Pøedchozí stránka";
Index: extensions/akBookStyle/trunk/language/no_NO/description.txt
===================================================================
--- extensions/akBookStyle/trunk/language/no_NO/description.txt	(revision 9271)
+++ extensions/akBookStyle/trunk/language/no_NO/description.txt	(revision 9271)
@@ -0,0 +1,1 @@
+Book style for designere
Index: extensions/akBookStyle/trunk/language/no_NO/index.php
===================================================================
--- extensions/akBookStyle/trunk/language/no_NO/index.php	(revision 9271)
+++ extensions/akBookStyle/trunk/language/no_NO/index.php	(revision 9271)
@@ -0,0 +1,29 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | akBookStyle  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009      vdigital                                       |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/akBookStyle/trunk/language/no_NO/plugin.lang.php
===================================================================
--- extensions/akBookStyle/trunk/language/no_NO/plugin.lang.php	(revision 9271)
+++ extensions/akBookStyle/trunk/language/no_NO/plugin.lang.php	(revision 9271)
@@ -0,0 +1,48 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | akBookStyle  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009      vdigital                                       |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+$lang['That plugin give an alternate presentation for galleries. It gives you in a whole page access to medium image and thumbnails.'] = "Denne pligginen gir en alternativ presentasjon for galleriet. Det gir deg på en hel side tilgang til medium bilder og miniatyr bilder.";
+$lang['Main configuration'] = "Hoved konfigurasjon";
+$lang['Applicable categorie(s)'] = "Anvendbare album";
+$lang['Applicable category has been updated'] = "Anvendbare album har blitt oppdatert";
+$lang['Applicable categories have been updated'] = "Anvendbart album har blitt oppdatert";
+$lang['Number of thumbnails per page'] = "Antall miniatyr bilder per side";
+$lang['Thumbnails per page has been updated'] = "Miniatyr bilde per side er oppdatert";
+$lang['Number of column'] = "Antall kolonner";
+$lang['Thumbnail size has been updated'] = "Miniatyr bilde størrelse har blitt oppdatert";
+$lang['Thumbnail size'] = "Miniatyr størrelse";
+$lang['click'] = "Klikk";
+$lang['mouseover'] = "mus-over";
+$lang['Event to show medium picture.'] = "Hendelse å vise medium bilde.";
+$lang['Event to show medium picture has been updated.'] = "Hendelse å vise mediuum bilde er oppdatert.";
+$lang['Thumbnails location'] = "Miniatyr lokalisasjon";
+$lang['Thumbnails location has been changed'] = "Miniatyr lokalisasjon er blitt endret";
+$lang['Top'] = "Top";
+$lang['Left'] = "Venstre";
+$lang['Bottom'] = "Bunn";
+$lang['Right'] = "Høyre";
+$lang['or number of lines for Top/Bottom'] = "eller antall linjer for topp/bunn";
+$lang['Next image'] = "Neste bilde";
+$lang['Next page'] = "Neste  side";
+$lang['Previous image'] = "Forrige bilde";
+$lang['Previous page'] = "Forrige side";
+?>