Index: /extensions/AdditionalPages/admin/add_page.inc.php
===================================================================
--- /extensions/AdditionalPages/admin/add_page.inc.php	(revision 9272)
+++ /extensions/AdditionalPages/admin/add_page.inc.php	(revision 9273)
@@ -36,5 +36,5 @@
     if (!empty($ids))
     {
-      array_push($page['errors'], sprintf(l10n('Permalink %s is already used by additional page %s'), $permalink, $ids[0]));
+      array_push($page['errors'], sprintf(l10n('ap_permalink_already_used'), $permalink, $ids[0]));
     }
     $permalink = '"'.$permalink.'"';
Index: /extensions/AdditionalPages/admin/config.inc.php
===================================================================
--- /extensions/AdditionalPages/admin/config.inc.php	(revision 9272)
+++ /extensions/AdditionalPages/admin/config.inc.php	(revision 9273)
@@ -39,5 +39,10 @@
 
 // Gestion des langues pour le bloc menu
-$template->assign('LANG_DEFAULT_VALUE', @$conf['additional_pages']['languages']['default']);
+$template->append('language', array(
+  'LANGUAGE_NAME' => l10n('Default'),
+  'LANGUAGE_CODE' => 'default',
+  'VALUE' => @$conf['additional_pages']['languages']['default'],
+  )
+);
 foreach (get_languages() as $language_code => $language_name)
 {
Index: /extensions/AdditionalPages/admin/template/add_page.tpl
===================================================================
--- /extensions/AdditionalPages/admin/template/add_page.tpl	(revision 9272)
+++ /extensions/AdditionalPages/admin/template/add_page.tpl	(revision 9273)
@@ -22,26 +22,26 @@
 	<table>
 		<tr>
-			<td align="right">{'ap_page_name'|@translate} &nbsp;&nbsp;</td>
-			<td><input type="text" size="60" maxlength="255" value="{if isset($NAME)}{$NAME}{/if}" name="title"/></td>
+			<td align="right"><label for="title">{'ap_page_name'|@translate}</label> &nbsp;&nbsp;</td>
+			<td><input type="text" size="60" maxlength="255" value="{if isset($NAME)}{$NAME}{/if}" name="title" id="title"/></td>
 		</tr>
 		<tr>
-			<td align="right">{'Permalink'|@translate} &nbsp;&nbsp;</td>
-			<td><input type="text" size="60" value="{if isset($PERMALINK)}{$PERMALINK}{/if}" name="permalink"/></td>
+			<td align="right"><label for="permalink">{'Permalink'|@translate}</label> &nbsp;&nbsp;</td>
+			<td><input type="text" size="60" value="{if isset($PERMALINK)}{$PERMALINK}{/if}" name="permalink" id="permalink"/></td>
 		</tr>
 		<tr>
-			<td align="right">{'ap_page_lang'|@translate} &nbsp;&nbsp;</td>
+			<td align="right"><label for="lang">{'ap_page_lang'|@translate}</label> &nbsp;&nbsp;</td>
 			<td>
-        {html_options name=lang options=$lang.OPTIONS selected=$lang.SELECTED}
+        {html_options name=lang id=lang options=$lang.OPTIONS selected=$lang.SELECTED}
 			</td>
 		</tr>
     <tr><td>&nbsp;</td></tr>
 		<tr>
-			<td align="right">{'ap_set_as_homepage'|@translate} &nbsp;&nbsp;</td>
-			<td><input type="checkbox" name="homepage" {if isset($HOMEPAGE) and $HOMEPAGE}checked="checked"{/if}"/>
+			<td align="right"><label for="homepage">{'ap_set_as_homepage'|@translate}</label> &nbsp;&nbsp;</td>
+			<td><input type="checkbox" name="homepage" id="homepage" {if isset($HOMEPAGE) and $HOMEPAGE}checked="checked"{/if}"/>
       &nbsp; <i>{'ap_homepage_tip'|@translate}</i></td>
 		</tr>
 		<tr>
-			<td align="right">{'ap_standalone_page'|@translate} &nbsp;&nbsp;</td>
-			<td><input type="checkbox" name="standalone" {if isset($STANDALONE) and $STANDALONE}checked="checked"{/if}"/>
+			<td align="right"><label for="standalone">{'ap_standalone_page'|@translate}</label> &nbsp;&nbsp;</td>
+			<td><input type="checkbox" name="standalone" id="standalone" {if isset($STANDALONE) and $STANDALONE}checked="checked"{/if}"/>
       &nbsp; <i>{'ap_standalone_tip'|@translate}</i></td>
 		</tr>
Index: /extensions/AdditionalPages/admin/template/config.tpl
===================================================================
--- /extensions/AdditionalPages/admin/template/config.tpl	(revision 9272)
+++ /extensions/AdditionalPages/admin/template/config.tpl	(revision 9273)
@@ -4,58 +4,105 @@
 
 <form name="apform" method="post" action="" class="properties"  ENCTYPE="multipart/form-data">
-<fieldset>
-	<legend>{'ap_config'|@translate}</legend>
-	<table>
-		<tr>
-			<td colspan="3">{'ap_perm'|@translate}</td>
-		</tr>
-		<tr>
-			<td colspan="2">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="user_perm" value="on" {if $ap_conf.user_perm}checked="checked"{/if}/> <i>{'ap_user_perm'|@translate}</i></td>
-		</tr>
-		<tr>
-			<td colspan="2">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="group_perm" value="on" {if $ap_conf.group_perm}checked="checked"{/if}/> <i>{'ap_group_perm'|@translate}</i></td>
-		</tr>
-    <tr>
-			<td colspan="3"><br><hr><br></td>
-		</tr>
-    <tr>
-			<td colspan="3"><input type="checkbox" name="show_home" value="on" {if $ap_conf.show_home}checked="checked"{/if}/> {'ap_show_home'|@translate}</td>
-		</tr>
-    <tr>
-			<td colspan="3"><input type="checkbox" name="show_menu" value="on" {if isset($SHOW_MENU)}checked="checked"{/if}/> {'ap_show_menu'|@translate}</td>
-		</tr>
-		<tr class="menu_languages">
-			<td><br>{'ap_menu_name'|@translate} : &nbsp;&nbsp;</td>
-			<td><br>{'Default'|@translate}&nbsp;&nbsp;</td>
-			<td><br><input type="text" size="50" maxlength="255" value="{$LANG_DEFAULT_VALUE}" name="menu_lang[default]"/></td>
-		</tr>
-		{foreach from=$language item=lang}
-		<tr class="menu_languages">
-			<td></td>
-			<td>{$lang.LANGUAGE_NAME}&nbsp;&nbsp;</td>
-			<td><input type="text" size="50" maxlength="255" value="{$lang.VALUE}" name="menu_lang[{$lang.LANGUAGE_CODE}]"/></td>
-		</tr>
-		{/foreach}
-	</table>
+<fieldset id="indexDisplayConf">
+  <legend>{'ap_perm'|@translate}</legend>
+  <ul>
+    <li>
+      <label>
+        <span class="property">{'ap_user_perm'|@translate}</span>
+        <input type="checkbox" name="user_perm" id="user_perm" value="on" {if $ap_conf.user_perm}checked="checked"{/if}/>
+      </label>
+    </li>
 
-<br>
+    <li>
+      <label>
+        <span class="property">{'ap_group_perm'|@translate}</span>
+        <input type="checkbox" name="group_perm" id="group_perm" value="on" {if $ap_conf.group_perm}checked="checked"{/if}/>
+      </label>
+    </li>
+  </ul>
+</fieldset>
+
+<fieldset id="indexDisplayConf">
+  <legend>{'Display'|@translate}</legend>
+  <ul>
+    <li>
+      <label>
+        <span class="property">{'ap_show_home'|@translate}</span>
+        <input type="checkbox" name="show_home" id="show_home" value="on" {if $ap_conf.show_home}checked="checked"{/if}/>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'ap_show_menu'|@translate}</span>
+        <input type="checkbox" name="show_menu" id="show_menu" value="on" {if isset($SHOW_MENU)}checked="checked"{/if}/>
+      </label>
+    </li>
+
+    <li id="menu_name" style="display:none;">
+      <span class="property">{'ap_menu_name'|@translate} :
+        <select name="lang_desc_select" style="margin-left:30px;">
+          {foreach from=$language item=lang}
+            <option value="{$lang.LANGUAGE_CODE}" id="opt_{$lang.LANGUAGE_CODE}">{if empty($lang.VALUE)}&#x2718;{else}&#x2714;{/if} &nbsp;{$lang.LANGUAGE_NAME}</option>
+          {/foreach}
+        </select>
+        {foreach from=$language item=lang}
+          <input type="text" size="50" name="menu_lang[{$lang.LANGUAGE_CODE}]" id="menu_lang_{$lang.LANGUAGE_CODE}" value="{$lang.VALUE}" style="display:none; margin-left:10px;">
+        {/foreach}
+      </span>
+    </li>
+  </ul>
 </fieldset>
 	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit"/></p>
 </form>
 
-{if isset($convert_bbcode)}
-	<p><a href="{$convert_bbcode.PATH}">{'ap_parse_bbcode'|@translate}</a></p>
-{/if}
+<script type="text/javascript">
+var languages = new Array();
+var filled = new Array;
+{foreach from=$language item=lang}
+languages["{$lang.LANGUAGE_CODE}"] = "{$lang.LANGUAGE_NAME}";
+if ($('input[id=menu_lang_{$lang.LANGUAGE_CODE}]').val() != '')
+  filled.push("{$lang.LANGUAGE_CODE}");
+{/foreach}
 
-<script type="text/javascript">
 jQuery().ready( function () {ldelim}
-  jQuery("input[name='show_menu']").click( function() {ldelim}
-    if (this.checked)
-      jQuery('.menu_languages').show();
-    else
-      jQuery('.menu_languages').hide();
+  jQuery("#show_menu").click( function() {ldelim}
+    if (this.checked) {ldelim}
+      jQuery('#menu_name').show();
+    }
+    else {ldelim}
+      jQuery('#menu_name').hide();
+    }
+  });
+  $('select[name="lang_desc_select"]').change(function () {ldelim}
+    $('[id^="menu_lang"]').hide();
+    $("#menu_lang_"+this.options[this.selectedIndex].value).show();
+  });
+  $('[id^="menu_lang_"]').keyup(function () {ldelim}
+    arr = $(this).attr("id").split("menu_lang_");
+    id = arr[1];
+    opt = $('select[name="lang_desc_select"] option[id="opt_'+id+'"]');
+    if (this.value != '') {ldelim}
+      opt.html(opt.html().replace("\u2718", "\u2714"));
+      add = true;
+      for (i in filled) {ldelim}
+        if (filled[i] == id) add = false;
+      }
+      if (add) {ldelim}
+        filled.push(id);
+      }
+    }
+    else {ldelim}
+      for (i in filled) {ldelim}
+        if (filled[i] == id) filled.splice(i, 1);
+      }
+      opt.html(opt.html().replace("\u2714", "\u2718"));
+    }
   });
 });
-if (!jQuery("input[name='show_menu']").attr('checked'))
-  jQuery('.menu_languages').hide();
+
+jQuery('#menu_lang_default').show();
+if (jQuery("input[name='show_menu']").attr('checked')) {ldelim}
+  jQuery('#menu_name').show();
+}
 </script>
Index: /extensions/AdditionalPages/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/cs_CZ/plugin.lang.php	(revision 9272)
+++ /extensions/AdditionalPages/language/cs_CZ/plugin.lang.php	(revision 9273)
@@ -44,4 +44,5 @@
 /*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
 /*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
+/*TODO*/$lang['ap_permalink_already_used'] = 'Permalink %s is already used by page %s';
 
 ?>
Index: /extensions/AdditionalPages/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/de_DE/plugin.lang.php	(revision 9272)
+++ /extensions/AdditionalPages/language/de_DE/plugin.lang.php	(revision 9273)
@@ -44,4 +44,5 @@
 /*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
 /*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
+/*TODO*/$lang['ap_permalink_already_used'] = 'Permalink %s is already used by page %s';
 
 ?>
Index: /extensions/AdditionalPages/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/en_UK/plugin.lang.php	(revision 9272)
+++ /extensions/AdditionalPages/language/en_UK/plugin.lang.php	(revision 9273)
@@ -44,4 +44,5 @@
 $lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
 $lang['ap_standalone_tip'] = 'Page require full HTML structure';
+$lang['ap_permalink_already_used'] = 'Permalink %s is already used by page %s';
 
 ?>
Index: /extensions/AdditionalPages/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/es_ES/plugin.lang.php	(revision 9272)
+++ /extensions/AdditionalPages/language/es_ES/plugin.lang.php	(revision 9273)
@@ -44,4 +44,5 @@
 /*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
 /*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
+/*TODO*/$lang['ap_permalink_already_used'] = 'Permalink %s is already used by page %s';
 
 ?>
Index: /extensions/AdditionalPages/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/fr_FR/plugin.lang.php	(revision 9272)
+++ /extensions/AdditionalPages/language/fr_FR/plugin.lang.php	(revision 9273)
@@ -44,4 +44,6 @@
 $lang['ap_homepage_tip'] = 'Remplace la page d\'accueil de votre galerie';
 $lang['ap_standalone_tip'] = 'La page requiert une structure HTML complète';
+$lang['ap_standalone_tip'] = 'Page require full HTML structure';
+$lang['ap_permalink_already_used'] = 'Le lien permanent %s est déja utilisé par la page %s';
 
 ?>
Index: /extensions/AdditionalPages/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/hu_HU/plugin.lang.php	(revision 9272)
+++ /extensions/AdditionalPages/language/hu_HU/plugin.lang.php	(revision 9273)
@@ -44,4 +44,5 @@
 /*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
 /*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
+/*TODO*/$lang['ap_permalink_already_used'] = 'Permalink %s is already used by page %s';
 
 ?>
Index: /extensions/AdditionalPages/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/it_IT/plugin.lang.php	(revision 9272)
+++ /extensions/AdditionalPages/language/it_IT/plugin.lang.php	(revision 9273)
@@ -44,4 +44,5 @@
 /*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
 /*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
+/*TODO*/$lang['ap_permalink_already_used'] = 'Permalink %s is already used by page %s';
 
 ?>
Index: /extensions/AdditionalPages/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/lv_LV/plugin.lang.php	(revision 9272)
+++ /extensions/AdditionalPages/language/lv_LV/plugin.lang.php	(revision 9273)
@@ -44,4 +44,5 @@
 /*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
 /*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
+/*TODO*/$lang['ap_permalink_already_used'] = 'Permalink %s is already used by page %s';
 
 ?>
Index: /extensions/AdditionalPages/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/pl_PL/plugin.lang.php	(revision 9272)
+++ /extensions/AdditionalPages/language/pl_PL/plugin.lang.php	(revision 9273)
@@ -44,4 +44,5 @@
 /*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
 /*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
+/*TODO*/$lang['ap_permalink_already_used'] = 'Permalink %s is already used by page %s';
 
 ?>
Index: /extensions/AdditionalPages/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/ru_RU/plugin.lang.php	(revision 9272)
+++ /extensions/AdditionalPages/language/ru_RU/plugin.lang.php	(revision 9273)
@@ -44,4 +44,5 @@
 /*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
 /*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
+/*TODO*/$lang['ap_permalink_already_used'] = 'Permalink %s is already used by page %s';
 
 ?>
Index: /extensions/AdditionalPages/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/sk_SK/plugin.lang.php	(revision 9272)
+++ /extensions/AdditionalPages/language/sk_SK/plugin.lang.php	(revision 9273)
@@ -44,4 +44,5 @@
 /*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
 /*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
+/*TODO*/$lang['ap_permalink_already_used'] = 'Permalink %s is already used by page %s';
 
 ?>